<div class="d-flex flex-column" style="height: 100%">
  <div class="image-container" [class.remove-border]="removeBorder">
    <div *ngFor="let picture of pictures; let i = index"
         class="preview mb-2"
         (click)="selectOrRemovePicture(i, picture)"
         [class.selected]="selectedIndices.includes(i) && !disabled"
         [class.add-border]="!disabled"
    >
      <img [src]="picture.file" alt="">
      <i *ngIf="showTrash" class="fa fa-trash-alt" (click)="deletePicture(picture)"></i>
    </div>
  </div>
  <div class="card-footer d-flex justify-content-center align-items-center mt-auto pt-4">
    <button class="btn btn-primary" (click)="edit()" *ngIf="!isEditing"><i class="fas fa-edit mr-3"></i> Edit</button>
    <button class="btn btn-secondary" *ngIf="isEditing" (click)="cancel()">Cancel</button>
    <button class="btn btn-danger" *ngIf="selectedPictures.length > 0 && isEditing" (click)="saveChanges()">Delete all</button>
    <button class="btn btn-success" [routerLink]="['../category/upload', {cId: pictures[0]?.categoryId}]">
      <i class="fas fa-plus mr-3"></i> Add new image</button>
    <button class="btn btn-outline-primary" (click)="selectAllPictures()" *ngIf="!selectAll && isEditing">
      <i class="far fa-hand-pointer"></i>
      Select all
    </button>
    <button class="btn btn-dark" (click)="deSelectAllPictures()" *ngIf="selectAll && isEditing">
      <i class="far fa-hand-pointer"></i>
      Deselect all
    </button>
  </div>

</div>
